1 Results for

prokit 5.1


Aperture 3.1 not installing properly on Macs running OS X 10.5.8

Apple's professional image editing software, Aperture, has recently been updated to version 3.1 though some users running Mac OS X 10.5.8 may not be able to install the update.

By November 22, 2010